Skip to main content
GET
/
api
/
v1
/
local
/
namespace
/
extended
List extended namespace states
curl --request GET \
  --url https://api.example.com/api/v1/local/namespace/extended \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/api/v1/local/namespace/extended"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/api/v1/local/namespace/extended', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "base": {
      "name": "<string>",
      "deleteOnLastSessionExit": true,
      "annotations": {}
    },
    "sessions": [
      {
        "id": "<string>",
        "timestamp": "<string>",
        "namespace": "<string>",
        "status": {
          "type": "closing",
          "executionTime": "<string>",
          "closingTime": "<string>"
        },
        "annotations": {}
      }
    ]
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

Success

base
SessionNamespaceStateBase · object
required

Base namespace state

sessions
SessionStateBase · object[]
required

A list of sessions that exist inside this namespace